package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SupplierInformationDTO {
    @ApiModelProperty(value="(合格状态)")

    private String acceptableCondition;
    @ApiModelProperty(value="(联系人电话)")

    private String contactNumber;
    @ApiModelProperty(value="(联系人名称)")

    private String contactPersonName;
    @ApiModelProperty(value="(供应人姓名)")

    private String nameOfSupplier;
    @ApiModelProperty(value="(供应人照片)路径")

    private String photographOfSupplier;
    @ApiModelProperty(value="(资质文件)路径")

    private String qualificationDocument;
    @ApiModelProperty(value="(供应范围)")

    private String scopeOfSupply;
    @ApiModelProperty(value="(供应商编码)")

    private String supplierCoding;
    @ApiModelProperty(value="(供应人身份证号)")

    private String supplierIdNumber;
    @ApiModelProperty(value="(供应商名称)")

    private String supplierName;
    @ApiModelProperty(value="(供应人电话)")

    private String supplierTelephone;
    @ApiModelProperty(value="(供应商ID)")

    private String id;
}
