package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.reagent.entity.ProcurementContent;
import digital.laboratory.platform.reagent.vo.ProcurementContentVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (采购内容) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购内容) Mapper 类
 */
@Mapper
public interface ProcurementContentMapper extends BaseMapper<ProcurementContent> {

    List<ProcurementContentVO> getProcurementContentVOList(String purchasingPlanId);

}
