package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import digital.laboratory.platform.reagent.entity.PurchaseList;
import digital.laboratory.platform.reagent.vo.PurchaseListPageVO;
import digital.laboratory.platform.reagent.vo.PurchaseListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * (采购清单) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购清单) Mapper 类
 */
@Mapper
public interface PurchaseListMapper extends BaseMapper<PurchaseList> {

    IPage<PurchaseListPageVO> getPurchaseListVOPage (IPage<PurchaseList> page, @Param(Constants.WRAPPER)QueryWrapper<PurchaseList> qw);

}
