package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.BatchDetails;
import digital.laboratory.platform.reagent.vo.BatchDetailsVO;

import java.util.List;

/**
 * 批次明细服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 批次明细 服务类
 */
public interface BatchDetailsService extends IService<BatchDetails> {

    List<BatchDetailsVO> getBatchDetailsList(String reagentConsumableInventoryId);
}
