package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "库存信息VO")
public class ReagentConsumableInventoryVO extends ReagentConsumableInventory {

    @ApiModelProperty(value="批次信息数组")
    List<BatchDetailsVO> batchDetailsVOS;


    @ApiModelProperty(value="是否有指导书")
    private boolean instructionBook;


}
