package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class ApplicationForUseDTO {

    @ApiModelProperty(value = "(标准物质编号)")
    private String referenceMaterialId;

    @ApiModelProperty(value = "(备注)")
    private String remarks;

    @ApiModelProperty(value = "(用途)")
    private Integer purpose;

    @ApiModelProperty(value = "(领用申请ID)")
    private String applicationForUseId;

    @ApiModelProperty(value = "(数量)")
    private Integer quantity;

    @ApiModelProperty(value = "(试剂耗材ID)")
    private String reagentConsumableId;

    @ApiModelProperty(value = "(规格型号)")
    private String specificationAndModel;

    @ApiModelProperty(value = "(标准物质领用归还/登记表ID)")
    private String standardMaterialApplicationId;

    @ApiModelProperty(value = "(批次ID)")
    private String batchDetailsId;

    @ApiModelProperty(value = "(领用物品明细ID)")
    private String reagentConsumableSetId;




}
