package digital.laboratory.platform.reagent.entity;

import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "(角标管理)")

public class AngleMark {

    @ApiModelProperty(value = "审核审批角标")
    private Integer review = 0;

    @ApiModelProperty(value = "采购清单角标")
    private Integer PurchaseList = 0;

    @ApiModelProperty(value = "入库角标")
    private Integer warehouse = 0;

    @ApiModelProperty(value = "标准储备溶液入库角标")
    private Integer storageOfSolutionMark = 0;

    @ApiModelProperty(value = "采购入库角标")
    private Integer purchaseWarehousingMark = 0;

    @ApiModelProperty(value = "归还任务角标")
    private Integer returnMark = 0;

    @ApiModelProperty(value = "符合性检查角标")
    private Integer concordCheck  = 0;

    @ApiModelProperty(value = "验收任务角标")
    private Integer checkAccept   = 0;

    @ApiModelProperty(value = "期间核查记录角标")
    private Integer checkPlanList = 0;

    @ApiModelProperty(value = "出库任务角标")
    private Integer OutboundManagement      = 0;

    @ApiModelProperty(value = "采购目录角标")
    private Integer gatherBuyCatalog = 0;
}
